<?php

namespace Modules\Region\Interfaces;

use Illuminate\Http\Request;
use Modules\Region\Models\Region;

interface RegionRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Region $region);
    public function save(Request $request, ?Region $region): Region;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
